#include <stdio.h>

int main()
{
  int  n, i, j;
  scanf("%d", &n);
  if (n<=0)
  {
    printf("-1\n");
    return -1;
  }
  
  for (i=1 ; i<=n ; i++)
  {
    for(j=n-i ; j>=1 ; j--)
      printf(" ");
    printf("*");
    for (j=i-1 ; j>=1 ; j--)
      printf("A*");
    
    
    
    
    printf("\n");
  }
  
  
  
  return 0;
}